osl::eval::ml::BishopBishopPiece Class Reference

`#include <majorPiece.h>`

## Public Types

enum | { ONE_DIM = 64 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state)

## Static Private Member Functions

static int | index (Ptype ptype, bool self_with_support, bool opp_with_support)

## Static Private Attributes

static CArray< MultiInt, 64 > | table

## Detailed Description

Definition at line 532 of file majorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 535 of file majorPiece.h.

## Member Function Documentation

## eval()

osl::MultiInt osl::eval::ml::BishopBishopPiece::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 932 of file majorPiece.cc.

References osl::BISHOP, osl::BLACK, osl::DL, osl::DR, osl::NumEffectState::hasEffectAt(), osl::NumEffectState::hasEffectByPtype(), index(), osl::inverse(), osl::Piece::isOnBoard(), osl::NumEffectState::mobilityOf(), osl::Piece::number(), osl::Piece::owner(), osl::SimpleState::pieceAt(), osl::SimpleState::pieceOf(), osl::Piece::ptype(), osl::Piece::square(), table, osl::UL, osl::UR, osl::WHITE, osl::Square::x(), and osl::Square::y().

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## index()

int osl::eval::ml::BishopBishopPiece::index | ( | Ptype | ptype,
|  | bool | self_with_support,
|  | bool | opp_with_support )

inline static private

Definition at line 539 of file majorPiece.h.

References osl::PTYPE_SIZE.

Referenced by eval().

## setUp()

void osl::eval::ml::BishopBishopPiece::setUp | ( | const Weights & | weights | ) |

static

Definition at line 922 of file majorPiece.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< MultiInt, 64 > osl::eval::ml::BishopBishopPiece::table

static private

Definition at line 545 of file majorPiece.h.

Referenced by eval(), and setUp().

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc